package com.qmth.distributed.print.business.bean.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.distributed.print.business.entity.TCStatisticsImportTemp;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 命题统计导入 dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/9/10
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class TCStatisticsImportTempDto extends TCStatisticsImportTemp {

    @ApiModelProperty(name = "试卷编号")
    String paperNumber;

    @ApiModelProperty(name = "单次抽卷数量")
    Integer drawCount;

    @ApiModelProperty(name = "备份数量")
    Integer backupCount;

    @ApiModelProperty(name = "印刷计划名称")
    String printPlanName;

    @ApiModelProperty(name = "印刷计划id")
    @JsonSerialize(using = ToStringSerializer.class)
    Long printPlanId;

    @ApiModelProperty(name = "考务数据明细id")
    @JsonSerialize(using = ToStringSerializer.class)
    Long examDetailCourseId;

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public Integer getDrawCount() {
        return drawCount;
    }

    public void setDrawCount(Integer drawCount) {
        this.drawCount = drawCount;
    }

    public Integer getBackupCount() {
        return backupCount;
    }

    public void setBackupCount(Integer backupCount) {
        this.backupCount = backupCount;
    }

    public String getPrintPlanName() {
        return printPlanName;
    }

    public void setPrintPlanName(String printPlanName) {
        this.printPlanName = printPlanName;
    }

    public Long getPrintPlanId() {
        return printPlanId;
    }

    public void setPrintPlanId(Long printPlanId) {
        this.printPlanId = printPlanId;
    }

    public Long getExamDetailCourseId() {
        return examDetailCourseId;
    }

    public void setExamDetailCourseId(Long examDetailCourseId) {
        this.examDetailCourseId = examDetailCourseId;
    }
}
